<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Mobile Responsive Meta Tag -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap Link -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

    <title>Bootstrap Introduction and Simple Styles</title>
</head>
<body class="text-center bg-secondary">
    
    <!-- Header -->
    <div>
        <h1>Bootstrap Introduction and Simple Styles</h1>
    </div>
    <!-- End of Header -->

    <!-- Bootstrap Color Classes and Table -->
    <h2>Bootstrap Color Classes</h2>

    <table class="table table-dark">
        <thead>
            <tr>
                <th>Text</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <a href="#" class="text-primary">Primary Link</a>
                </td>
            </tr>
            <tr>
                <td>
                    <a href="#" class="text-secondary">Secondary Link</a>
                </td>
            </tr>
            <tr>
                <td>
                    <a href="#" class="text-success">Success Link</a>
                </td>
            </tr>
            <tr>
                <td>
                    <a href="#" class="text-danger">Danger Link</a>
                </td>
            </tr>
            <tr>
            <tr>
                <td>
                    <a href="#" class="text-warning">Warning Link</a>
                </td>
            </tr>
            <tr>
                <td>
                    <a href="#" class="text-info">Info Link</a>
                </td>
            </tr>
            <tr>
                <td>
                    <a href="#" class="text-light">Light Link</a>
                </td>
            </tr>
            <tr>
                <td>
                    <a href="#" class="text-dark">Dark Link</a>
                </td>
            </tr>
        </tbody>
    </table>
    <!-- End of Boostrap Color Classes and Table -->

    <div class="container container-fluid">
         <!-- Bootstrap Color Classes and Table -->
         <h2>Bootstrap Color Classes</h2>

        <table class="table table-dark">
            <thead>
                <tr>
                    <th>Text</th>
                    <th>Backround</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <a href="#" class="text-primary">Primary Link</a>
                    </td>
                    <td class="bg-primary text-white">Primary</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-secondary">Secondary Link</a>
                    </td>
                    <td class="bg-secondary text-white">Secondary</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-success">Success Link</a>
                    </td>
                    <td class="bg-success text-white">Success</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-danger">Danger Link</a>
                    </td>
                    <td class="bg-danger text-white">Danger</td>
                </tr>
                <tr>
                <tr>
                    <td>
                        <a href="#" class="text-warning">Warning Link</a>
                    </td>
                    <td class="bg-warning text-white">Warning</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-info">Info Link</a>
                    </td>
                    <td class="bg-info text-white">Info</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-light">Light Link</a>
                    </td>
                    <td class="bg-light text-dark">Light</td>
                </tr>
                <tr>
                    <td>
                        <a href="#" class="text-dark">Dark Link</a>
                    </td>
                    <td class="bg-dark text-white">Dark</td>
                </tr>
            </tbody>
        </table>
        <!-- End of Boostrap Color Classes and Table -->

        <!-- Bootstrap Text Alignment Class -->
        <h2>Bootstrap Text Classes</h2>

        <table class="table table-dark text-light table-bordered">
            <thead>
                <tr>
                    <th>
                        Alignment
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="text-left">Left</td>
                </tr>
                <tr>
                    <td class="text-center">Center</td>
                </tr>
                <tr>
                    <td class="text-right">Right</td>
                </tr>
                <tr>
                    <td class="text-sm-center">Small Center</td> <!--💡-->
                </tr>
                <tr>
                    <td class="text-md-left">Medium Left</td> <!--💡-->
                </tr>
                <tr>
                    <td class="text-lg-right">Large Right</td> <!--💡-->
                </tr>
                <tr>
                    <td class="text-xl-right">Extra Large Right</td> <!--💡-->
                </tr>
            </tbody>
        </table>
        <!-- End of Alignment -->

        <!-- Bootstrap Other Text Alignment Classes Table -->
        <table class="table table-dark text-light table-bordered">
            <thead>
                <tr>
                    <th class="">Text Transform</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="text-lowercase font-weight-bold">
                        LOWERCASED BOLD TEXT
                    </td>
                </tr>
                <tr>
                    <td class="text-uppercase font-weight-normal">
                        uppercased normal text
                    </td>
                </tr>
                <tr>
                    <td class="text-capitalize font-weight-light">
                        capitalized light text
                    </td>
                </tr>
                <tr>
                    <td class="text-decoration-none font-italic">
                        Non-underlined Italic Link
                    </td>
                </tr>
            </tbody>
        </table>
        <!-- End of Bootstrap Other Text Alignment Classes Table -->

        <!-- Start of Bootstrap Borer and Sizing Classes -->
        <h2>Bootstrap Border and Sizing Classes</h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>
				<tr>
                    <td>
                        <div class="bg-info border border-info rounded">
                            Rounded
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div class="bg-warning border-danger rounded-circle">
                            Rounded Circle
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div class="bg-success border-danger rounded-pill">
                            Rounded Pill
                        </div>
                    </td>
                </tr>
			</tbody>
		</table>
        <!--  -->
    </div>

    <!-- JS Dependency -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>